Get document class info
Get a specific class by ID
You can retrieve (the configuration of) a specific class/documentType to confirm it exists or to parse something from its metadata if you have its documentTypeId (class ID).
GET
Method and API
Play with the API Explorer:GET /documentType/v1/libraries/{libId}/documentTypes/{documentTypeId}
In the command above:documentTypeis the APIv1is the API versionlibrariesis the top-level resourcedocumentTypesor class is the nested resource
Guidelines
Request
Pass the mandatory class ID (documentTypeId) and the library ID (libId) of the library the class resides in — both as path parameters (not in the query string).
Response
The response returns an ApiDocumentType resource, listing the specified class. Response fields of note:id(of the class)displayName(of the class)libraryId(of the library you searched)defaultClass(whether or not this is the library’s default class)